Uploaded image for project: 'BlueJ'
  1. BlueJ
  2. BLUEJ-1240

Ubuntu Cosmic 18.10 /Debian-unstable have incompatible OpenJFX library

    XMLWordPrintable

    Details

    • Type: Bug
    • Status: Closed
    • Priority: Medium
    • Resolution: Done
    • Affects Version/s: None
    • Fix Version/s: 4.2.0
    • Component/s: Installer

      Description

      Debian/Ubuntu have "libopenjfx" package install OpenJFX 11, which is incompatible with OpenJDK 8 and therefore with current releases of BlueJ/Greenfoot. They should instead provide separate OpenJFX-8 and OpenJFX-11 packages.

      Upstream Ubuntu bug: https://bugs.launchpad.net/ubuntu/+source/openjfx/+bug/1799946

      Upstream Debian bug: https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=910407

      Note the comment in Debian bug indicates they may not fix.

       

        Attachments

          Activity

            People

            • Assignee:
              nccb Neil Brown
              Reporter:
              davmac Davin McCall
            • Votes:
              0 Vote for this issue
              Watchers:
              2 Start watching this issue

              Dates

              • Created:
                Updated:
                Resolved: